Package ghidra.app.util.bin.format.pe.debug

# Class DebugCodeView

java.lang.Object
ghidra.app.util.bin.format.pe.debug.DebugCodeView

All Implemented Interfaces:
  `StructConverter`

public class DebugCodeView extends Object implements StructConverter
A class to represent the code view debug information.

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DebugDirectory`
  `getDebugDirectory()`
  Returns the code view debug directory.
  `PdbInfoDotNet`
  `getDotNetPdbInfo()`
  `PdbInfoCodeView`
  `getPdbInfo()`
  Returns the code view .PDB info.
  `DebugCodeViewSymbolTable`
  `getSymbolTable()`
  Returns the code view symbol table.
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getDebugDirectory

    public DebugDirectory getDebugDirectory()
    Returns the code view debug directory.
    Returns:
      the code view debug directory

  - ### getSymbolTable

    public DebugCodeViewSymbolTable getSymbolTable()
    Returns the code view symbol table.
    Returns:
      the code view symbol table

  - ### getPdbInfo

    public PdbInfoCodeView getPdbInfo()
    Returns the code view .PDB info.
    Returns:
      the code view .PDB info

  - ### getDotNetPdbInfo

    public PdbInfoDotNet getDotNetPdbInfo()

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
    See Also:
      - `StructConverter.toDataType()`